View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000995Ecere SDKide:debuggerpublic2013-08-29 21:432013-09-28 23:58
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000995: Invalid Breakpoint numbers; Alt-F10 - Run To cursor at same level Skipping breakpoint not working
DescriptionAs summarized
Steps To Reproduce- Create a project with attached file testAltF10.ec
- Set a breakpoint on line 5
- F5
- Space to press the button

To test non-working Alt-F10:
- Press F5 5x times, a watch on 'level' will say 5
- Ctrl-Shift-F11 3 times, a watch on 'level' will say 2
- Move caret to line 12, hit Alt-F10

- What *should* have happened is that it should have stopped on line 12, with a watch on 'level' still saying 2
- What *happened* is that breakpoint on line 5 hit at level 5

To get invalid breakpoint:
- You can set a breakpoint the IDE debugging the IDE on line:
_dpl2(_dpct, dplchan::debuggerProblem, 0, "Breakpoint bkptno(", stopItem.bkptno, ") invalid or not found!");

- Leave caret on line 5 when you hit the breakpoint and just press Alt-F10 right away
Additional Information*20130829-174220* src/debugger/Debugger.ec: 1372: Debugger::ToggleBreakpoint(C:\temp\testALTF10\testAltF10.ec:5)
*20130829-174220* src/debugger/Debugger.ec: 1073: Debugger::Start()
*20130829-174220* src/debugger/Debugger.ec: 1027: Debugger::StartSession(restart(True), userBreakOnInternalBreakpoint(False), ignoreBreakpoints(False)
*20130829-174220* src/debugger/Debugger.ec: 2165: Debugger::GdbInit()
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (None -> Loaded)
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =thread-group-added,id="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -gdb-set verbose off
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -gdb-set step-mode off
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -gdb-set unwindonsignal on
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: set print elements 992
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: &"set print elements 992\n"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -gdb-set backtrace limit 100000
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1985: Debugger::GdbTargetSet()
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: file "C:/temp/testALTF10/obj/debug.win32/testALTF10.exe"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: &"file \"C:/temp/testALTF10/obj/debug.win32/testALTF10.exe\"\n"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ~"Reading symbols from C:\\temp\\testALTF10\\obj\\debug.win32\\testALTF10.exe..."
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ~"done.\n"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -gdb-set new-console on
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -gdb-set args
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1947: Debugger::GdbBreakpointsDelete(deleteRunToCursor(False))
*20130829-174220* src/debugger/Debugger.ec: 2062: Debugger::GdbExecRun()
*20130829-174220* src/debugger/Debugger.ec: 1985: Debugger::GdbTargetSet()
*20130829-174220* src/debugger/Debugger.ec: 1884: Debugger::SetBreakpoint(main, )
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -break-insert main
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done,bkpt={number="1",type="breakpoint",disp="keep",enabled="y",addr="0x00000000004081a0",func="m
ain",file="c:/crossdev/src/mingw-w64-svn/mingw-w64-crt/crt/crt0_c.c",line="17",times="0",original-location="main"}
*20130829-174220* src/debugger/Debugger.ec: 1621: Debugger::ParseBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1734: Debugger::ValidateBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 1884: Debugger::SetBreakpoint(WinMain, )
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -break-insert WinMain
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done,bkpt={number="2",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000401518",func="W
inMain",file="obj/debug.win32/testALTF10.main.ec",fullname="C:\\temp\\testALTF10\\obj\\debug.win32\\testALTF10.main.ec",line="69",times="0",original-location="W
inMain"}
*20130829-174220* src/debugger/Debugger.ec: 1621: Debugger::ParseBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1734: Debugger::ValidateBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 1884: Debugger::SetBreakpoint(obj\debug.win32\testALTF10.main.ec:73, )
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -break-insert obj\debug.win32\testALTF10.main.ec:73
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done,bkpt={number="3",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000401566",func="W
inMain",file="obj/debug.win32/testALTF10.main.ec",fullname="C:\\temp\\testALTF10\\obj\\debug.win32\\testALTF10.main.ec",line="73",times="0",original-location="o
bj\\debug.win32\\testALTF10.main.ec:73"}
*20130829-174220* src/debugger/Debugger.ec: 1621: Debugger::ParseBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1734: Debugger::ValidateBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 1884: Debugger::SetBreakpoint(testAltF10.ec:5, )
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -break-insert testAltF10.ec:5
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done,bkpt={number="4",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000401b6e",func="D
oStuff",file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="5",times="0",original-location="testAltF10.ec:5"}
*20130829-174220* src/debugger/Debugger.ec: 1621: Debugger::ParseBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1734: Debugger::ValidateBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -exec-run
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =thread-group-started,id="i1",pid="9092"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =thread-created,id="1",group-id="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ~"[New Thread 9092.0x1c98]\n"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^running
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: *running,thread-id="all"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Loaded -> Running)
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\ntdll.dll",target-name="C:\\Windows\\system32\\ntdll.dl
l",host-name="C:\\Windows\\system32\\ntdll.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\kernel32.dll",target-name="C:\\Windows\\system32\\kerne
l32.dll",host-name="C:\\Windows\\system32\\kernel32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\KernelBase.dll",target-name="C:\\Windows\\system32\\Ker
nelBase.dll",host-name="C:\\Windows\\system32\\KernelBase.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\System32\\sysfer.dll",target-name="C:\\Windows\\System32\\sysfer.
dll",host-name="C:\\Windows\\System32\\sysfer.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\msvcrt.dll",target-name="C:\\Windows\\system32\\msvcrt.
dll",host-name="C:\\Windows\\system32\\msvcrt.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\ecere-sdk\\ecere\\obj\\debug.win32\\ecere.dll",target-name="C:\\ecere-sdk\
\ecere\\obj\\debug.win32\\ecere.dll",host-name="C:\\ecere-sdk\\ecere\\obj\\debug.win32\\ecere.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\advapi32.dll",target-name="C:\\Windows\\system32\\advap
i32.dll",host-name="C:\\Windows\\system32\\advapi32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\SYSTEM32\\sechost.dll",target-name="C:\\Windows\\SYSTEM32\\sechos
t.dll",host-name="C:\\Windows\\SYSTEM32\\sechost.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\rpcrt4.dll",target-name="C:\\Windows\\system32\\rpcrt4.
dll",host-name="C:\\Windows\\system32\\rpcrt4.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\ddraw.dll",target-name="C:\\Windows\\system32\\ddraw.dl
l",host-name="C:\\Windows\\system32\\ddraw.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\user32.dll",target-name="C:\\Windows\\system32\\user32.
dll",host-name="C:\\Windows\\system32\\user32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\gdi32.dll",target-name="C:\\Windows\\system32\\gdi32.dl
l",host-name="C:\\Windows\\system32\\gdi32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\lpk.dll",target-name="C:\\Windows\\system32\\lpk.dll",h
ost-name="C:\\Windows\\system32\\lpk.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\usp10.dll",target-name="C:\\Windows\\system32\\usp10.dl
l",host-name="C:\\Windows\\system32\\usp10.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\dciman32.dll",target-name="C:\\Windows\\system32\\dcima
n32.dll",host-name="C:\\Windows\\system32\\dciman32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\setupapi.dll",target-name="C:\\Windows\\system32\\setup
api.dll",host-name="C:\\Windows\\system32\\setupapi.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\cfgmgr32.dll",target-name="C:\\Windows\\system32\\cfgmg
r32.dll",host-name="C:\\Windows\\system32\\cfgmgr32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\oleaut32.dll",target-name="C:\\Windows\\system32\\oleau
t32.dll",host-name="C:\\Windows\\system32\\oleaut32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\ole32.dll",target-name="C:\\Windows\\system32\\ole32.dl
l",host-name="C:\\Windows\\system32\\ole32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\devobj.dll",target-name="C:\\Windows\\system32\\devobj.
dll",host-name="C:\\Windows\\system32\\devobj.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\dwmapi.dll",target-name="C:\\Windows\\system32\\dwmapi.
dll",host-name="C:\\Windows\\system32\\dwmapi.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\imm32.dll",target-name="C:\\Windows\\system32\\imm32.dl
l",host-name="C:\\Windows\\system32\\imm32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\msctf.dll",target-name="C:\\Windows\\system32\\msctf.dl
l",host-name="C:\\Windows\\system32\\msctf.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\mpr.dll",target-name="C:\\Windows\\system32\\mpr.dll",h
ost-name="C:\\Windows\\system32\\mpr.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\opengl32.dll",target-name="C:\\Windows\\system32\\openg
l32.dll",host-name="C:\\Windows\\system32\\opengl32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\glu32.dll",target-name="C:\\Windows\\system32\\glu32.dl
l",host-name="C:\\Windows\\system32\\glu32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\shell32.dll",target-name="C:\\Windows\\system32\\shell3
2.dll",host-name="C:\\Windows\\system32\\shell32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\shlwapi.dll",target-name="C:\\Windows\\system32\\shlwap
i.dll",host-name="C:\\Windows\\system32\\shlwapi.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\winmm.dll",target-name="C:\\Windows\\system32\\winmm.dl
l",host-name="C:\\Windows\\system32\\winmm.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\winspool.drv",target-name="C:\\Windows\\system32\\winsp
ool.drv",host-name="C:\\Windows\\system32\\winspool.drv",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\ws2_32.dll",target-name="C:\\Windows\\system32\\ws2_32.
dll",host-name="C:\\Windows\\system32\\ws2_32.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\nsi.dll",target-name="C:\\Windows\\system32\\nsi.dll",h
ost-name="C:\\Windows\\system32\\nsi.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =breakpoint-modified,bkpt={number="1",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000
4081a0",func="main",file="c:/crossdev/src/mingw-w64-svn/mingw-w64-crt/crt/crt0_c.c",line="17",times="1",original-location="main"}
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: *stopped,reason="breakpoint-hit",disp="keep",bkptno="1",frame={addr="0x00000000004081a0",func="mai
n",args=[{name="flags",value="1"},{name="cmdline",value="0x3556c0"},{name="inst",value="0x352a40"}],file="c:/crossdev/src/mingw-w64-svn/mingw-w64-crt/crt/crt0_c
.c",line="17"},thread-id="1",stopped-threads="all"
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Running -> Stopped)
*20130829-174220* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1589: Debugger::GetBreakpointById(1)
*20130829-174220* src/debugger/Debugger.ec: 3057: Debugger::EventHit(bpInternal(main), bpUser()) -- ignoreBreakpoints(False), hitCursorBreakpoint(False)
*20130829-174220* src/debugger/Debugger.ec: 2074: Debugger::GdbExecContinue()
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -exec-continue
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^running
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: *running,thread-id="1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Stopped -> Running)
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =breakpoint-modified,bkpt={number="2",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000
401518",func="WinMain",file="obj/debug.win32/testALTF10.main.ec",fullname="C:\\\\temp\\\\testALTF10\\\\obj\\\\debug.win32\\\\testALTF10.main.ec",line="69",times
="1",original-location="WinMain"}
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: *stopped,reason="breakpoint-hit",disp="keep",bkptno="2",frame={addr="0x0000000000401518",func="Win
Main",args=[{name="hInstance",value="0x400000"},{name="hPrevInst",value="0x0"},{name="cmdLine",value="0x624382 \"\""},{name="show",value="10"}],file="obj/debug.
win32/testALTF10.main.ec",fullname="C:\\temp\\testALTF10\\obj\\debug.win32\\testALTF10.main.ec",line="69"},thread-id="1",stopped-threads="all"
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Running -> Stopped)
*20130829-174220* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1589: Debugger::GetBreakpointById(2)
*20130829-174220* src/debugger/Debugger.ec: 3057: Debugger::EventHit(bpInternal(WinMain), bpUser()) -- ignoreBreakpoints(False), hitCursorBreakpoint(False)
*20130829-174220* src/debugger/Debugger.ec: 2074: Debugger::GdbExecContinue()
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -exec-continue
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^running
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: *running,thread-id="1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Stopped -> Running)
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =breakpoint-modified,bkpt={number="3",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000
401566",func="WinMain",file="obj/debug.win32/testALTF10.main.ec",fullname="C:\\\\temp\\\\testALTF10\\\\obj\\\\debug.win32\\\\testALTF10.main.ec",line="73",times
="1",original-location="obj\\\\debug.win32\\\\testALTF10.main.ec:73"}
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: *stopped,reason="breakpoint-hit",disp="keep",bkptno="3",frame={addr="0x0000000000401566",func="Win
Main",args=[{name="hInstance",value="0x400000"},{name="hPrevInst",value="0x0"},{name="cmdLine",value="0x624382 \"\""},{name="show",value="10"}],file="obj/debug.
win32/testALTF10.main.ec",fullname="C:\\temp\\testALTF10\\obj\\debug.win32\\testALTF10.main.ec",line="73"},thread-id="1",stopped-threads="all"
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Running -> Stopped)
*20130829-174220* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1589: Debugger::GetBreakpointById(3)
*20130829-174220* src/debugger/Debugger.ec: 3057: Debugger::EventHit(bpInternal(obj\debug.win32\testALTF10.main.ec:73), bpUser()) -- ignoreBreakpoints(False), h
itCursorBreakpoint(False)
*20130829-174220* src/debugger/Debugger.ec: 2074: Debugger::GdbExecContinue()
*20130829-174220* src/debugger/Debugger.ec: 1884: Debugger::SetBreakpoint(src\com\instance.c:InternalModuleLoadBreakpoint, )
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -break-insert src\com\instance.c:InternalModuleLoadBreakpoint
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^done,bkpt={number="5",type="breakpoint",disp="keep",enabled="y",addr="0x000000006bbae482",func="I
nternalModuleLoadBreakpoint",file="src/com/instance.c",fullname="C:\\ecere-sdk\\ecere\\src\\com\\instance.c",line="557",times="0",original-location="src\\com\\i
nstance.c:InternalModuleLoadBreakpoint"}
*20130829-174220* src/debugger/Debugger.ec: 1621: Debugger::ParseBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 1734: Debugger::ValidateBreakpoint()
*20130829-174220* src/debugger/Debugger.ec: 1710: GDB Command: -exec-continue
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: ^running
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: *running,thread-id="1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174220* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Stopped -> Running)
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\uxtheme.dll",target-name="C:\\Windows\\system32\\uxthem
e.dll",host-name="C:\\Windows\\system32\\uxtheme.dll",symbols-loaded="0",thread-group="i1"
*20130829-174220* src/debugger/Debugger.ec: 3160: GDB Output: =library-loaded,id="C:\\Windows\\system32\\cryptbase.dll",target-name="C:\\Windows\\system32\\cryp
tbase.dll",host-name="C:\\Windows\\system32\\cryptbase.dll",symbols-loaded="0",thread-group="i1"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: =breakpoint-modified,bkpt={number="4",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000
401b6e",func="DoStuff",file="testAltF10.ec",fullname="C:\\\\temp\\\\testALTF10\\\\testAltF10.ec",line="5",times="1",original-location="testAltF10.ec:5"}
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: *stopped,reason="breakpoint-hit",disp="keep",bkptno="4",frame={addr="0x0000000000401b6e",func="DoS
tuff",args=[{name="level",value="0"},{name="maxLevel",value="5"}],file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="5"},thread-id="1",st
opped-threads="all"
*20130829-174221* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Running -> Stopped)
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174221* src/debugger/Debugger.ec: 1589: Debugger::GetBreakpointById(4)
*20130829-174221* src/debugger/Debugger.ec: 1710: GDB Command: -thread-list-ids
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: ^done,thread-ids={thread-id="1"},current-thread-id="1",number-of-threads="1"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174221* src/debugger/Debugger.ec: 1967: Debugger::GdbGetStack()
*20130829-174221* src/debugger/Debugger.ec: 1710: GDB Command: -stack-info-depth
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: ^done,depth="15"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174221* src/debugger/Debugger.ec: 1710: GDB Command: -stack-list-frames 0 14
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: ^done,stack=[frame={level="0",addr="0x0000000000401b6e",func="DoStuff",file="testAltF10.ec",fullna
me="C:\\temp\\testALTF10\\testAltF10.ec",line="5"},frame={level="1",addr="0x0000000000401d63",func="__ecereInstMeth___ecereNameSpace__ecere__gui__controls__Butt
on_NotifyClicked__00000000",file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="31"},frame={level="2",addr="0x000000006bc7dcb2",func="__ec
ereMethod___ecereNameSpace__ecere__gui__controls__Button_OnLeftButtonUp",file="src/gui/controls/Button.ec",fullname="C:\\ecere-sdk\\ecere\\src\\gui\\controls\\B
utton.ec",line="574"},frame={level="3",addr="0x000000006bc7e5f6",func="__ecereMethod___ecereNameSpace__ecere__gui__controls__Button_OnKeyUp",file="src/gui/contr
ols/Button.ec",fullname="C:\\ecere-sdk\\ecere\\src\\gui\\controls\\Button.ec",line="728"},frame={level="4",addr="0x000000006bd2f627",func="__ecereMethod___ecere
NameSpace__ecere__gui__Window_KeyMessage",file="src/gui/Window.ec",fullname="C:\\ecere-sdk\\ecere\\src\\gui\\Window.ec",line="
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174221* src/debugger/Debugger.ec: 1710: GDB Command:
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: &"\n"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174221* src/debugger/Debugger.ec: 2975: Debugger::EvaluateWatches()
*20130829-174221* src/debugger/Debugger.ec: 2516: Debugger::ResolveWatch()
*20130829-174221* src/debugger/Debugger.ec: 3975: Debugger::EvaluateExpression(&level)
*20130829-174221* src/debugger/Debugger.ec: 2982: Debugger::GdbEvaluateExpression(&level)
*20130829-174221* src/debugger/Debugger.ec: 1710: GDB Command: -data-evaluate-expression "&level"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: ^done,value="0x22ed80"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174221* src/debugger/Debugger.ec: 3959: Debugger::DebugEvalExpTypeError()
*20130829-174221* src/debugger/Debugger.ec: 3975: Debugger::EvaluateExpression(level)
*20130829-174221* src/debugger/Debugger.ec: 2982: Debugger::GdbEvaluateExpression(level)
*20130829-174221* src/debugger/Debugger.ec: 1710: GDB Command: -data-evaluate-expression "level"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: ^done,value="0"
*20130829-174221* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174221* src/debugger/Debugger.ec: 3959: Debugger::DebugEvalExpTypeError()
*20130829-174221* src/debugger/Debugger.ec: 940: Debugger::SelectFrame(0)
*20130829-174221* src/debugger/Debugger.ec: 868: Debugger::GoToStackFrameLine(0, True)
*20130829-174221* src/debugger/Debugger.ec: 3057: Debugger::EventHit(bpInternal(), bpUser(testAltF10.ec:5)) -- ignoreBreakpoints(False), hitCursorBreakpoint(Fal
se)
*20130829-174222* src/debugger/Debugger.ec: 1120: Debugger::RunToCursor()
*20130829-174222* src/debugger/Debugger.ec: 1027: Debugger::StartSession(restart(False), userBreakOnInternalBreakpoint(False), ignoreBreakpoints(True)
*20130829-174222* src/debugger/Debugger.ec: 1947: Debugger::GdbBreakpointsDelete(deleteRunToCursor(False))
*20130829-174222* src/debugger/Debugger.ec: 1873: Debugger::UnsetBreakpoint(testAltF10.ec:5)
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -break-delete 4
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 2074: Debugger::GdbExecContinue()
*20130829-174222* src/debugger/Debugger.ec: 1884: Debugger::SetBreakpoint(testAltF10.ec:5, )
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -break-insert testAltF10.ec:5
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done,bkpt={number="6",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000401b6e",func="D
oStuff",file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="5",times="0",original-location="testAltF10.ec:5"}
*20130829-174222* src/debugger/Debugger.ec: 1621: Debugger::ParseBreakpoint()
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1734: Debugger::ValidateBreakpoint()
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -exec-continue
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^running
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: *running,thread-id="1"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Stopped -> Running)
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: =breakpoint-modified,bkpt={number="6",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000
401b6e",func="DoStuff",file="testAltF10.ec",fullname="C:\\\\temp\\\\testALTF10\\\\testAltF10.ec",line="5",times="1",original-location="testAltF10.ec:5"}
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: *stopped,reason="breakpoint-hit",disp="keep",bkptno="6",frame={addr="0x0000000000401b6e",func="DoS
tuff",args=[{name="level",value="1"},{name="maxLevel",value="5"}],file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="5"},thread-id="1",st
opped-threads="all"
*20130829-174222* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Running -> Stopped)
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1589: Debugger::GetBreakpointById(6)
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -thread-list-ids
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done,thread-ids={thread-id="1"},current-thread-id="1",number-of-threads="1"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1967: Debugger::GdbGetStack()
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -stack-info-depth
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done,depth="16"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -stack-list-frames 0 15
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done,stack=[frame={level="0",addr="0x0000000000401b6e",func="DoStuff",file="testAltF10.ec",fullna
me="C:\\temp\\testALTF10\\testAltF10.ec",line="5"},frame={level="1",addr="0x0000000000401b8f",func="DoStuff",file="testAltF10.ec",fullname="C:\\temp\\testALTF10
\\testAltF10.ec",line="9"},frame={level="2",addr="0x0000000000401d63",func="__ecereInstMeth___ecereNameSpace__ecere__gui__controls__Button_NotifyClicked__000000
00",file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="31"},frame={level="3",addr="0x000000006bc7dcb2",func="__ecereMethod___ecereNameSpa
ce__ecere__gui__controls__Button_OnLeftButtonUp",file="src/gui/controls/Button.ec",fullname="C:\\ecere-sdk\\ecere\\src\\gui\\controls\\Button.ec",line="574"},fr
ame={level="4",addr="0x000000006bc7e5f6",func="__ecereMethod___ecereNameSpace__ecere__gui__controls__Button_OnKeyUp",file="src/gui/controls/Button.ec",fullname=
"C:\\ecere-sdk\\ecere\\src\\gui\\controls\\Button.ec",line="728"},frame={level="5",addr="0x000000006bd2f627",func="__ecereMeth
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command:
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: &"\n"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 2975: Debugger::EvaluateWatches()
*20130829-174222* src/debugger/Debugger.ec: 2516: Debugger::ResolveWatch()
*20130829-174222* src/debugger/Debugger.ec: 3975: Debugger::EvaluateExpression(&level)
*20130829-174222* src/debugger/Debugger.ec: 2982: Debugger::GdbEvaluateExpression(&level)
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -data-evaluate-expression "&level"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done,value="0x22ed40"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 3959: Debugger::DebugEvalExpTypeError()
*20130829-174222* src/debugger/Debugger.ec: 3975: Debugger::EvaluateExpression(level)
*20130829-174222* src/debugger/Debugger.ec: 2982: Debugger::GdbEvaluateExpression(level)
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -data-evaluate-expression "level"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done,value="1"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 3959: Debugger::DebugEvalExpTypeError()
*20130829-174222* src/debugger/Debugger.ec: 940: Debugger::SelectFrame(0)
*20130829-174222* src/debugger/Debugger.ec: 868: Debugger::GoToStackFrameLine(0, True)
*20130829-174222* src/debugger/Debugger.ec: 3057: Debugger::EventHit(bpInternal(), bpUser(testAltF10.ec:5)) -- ignoreBreakpoints(False), hitCursorBreakpoint(Tru
e)
*20130829-174222* src/debugger/Debugger.ec: 2074: Debugger::GdbExecContinue()
*20130829-174222* src/debugger/Debugger.ec: 1884: Debugger::SetBreakpoint(testAltF10.ec:5, )
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -break-insert testAltF10.ec:5
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done,bkpt={number="7",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000401b6e",func="D
oStuff",file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="5",times="0",original-location="testAltF10.ec:5"}
*20130829-174222* src/debugger/Debugger.ec: 1621: Debugger::ParseBreakpoint()
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1734: Debugger::ValidateBreakpoint()
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -exec-continue
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^running
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: *running,thread-id="1"
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Stopped -> Running)
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: =breakpoint-modified,bkpt={number="6",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000
401b6e",func="DoStuff",file="testAltF10.ec",fullname="C:\\\\temp\\\\testALTF10\\\\testAltF10.ec",line="5",times="2",original-location="testAltF10.ec:5"}
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: =breakpoint-modified,bkpt={number="7",type="breakpoint",disp="keep",enabled="y",addr="0x0000000000
401b6e",func="DoStuff",file="testAltF10.ec",fullname="C:\\\\temp\\\\testALTF10\\\\testAltF10.ec",line="5",times="1",original-location="testAltF10.ec:5"}
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: *stopped,reason="breakpoint-hit",disp="keep",bkptno="6",frame={addr="0x0000000000401b6e",func="DoS
tuff",args=[{name="level",value="2"},{name="maxLevel",value="5"}],file="testAltF10.ec",fullname="C:\\temp\\testALTF10\\testAltF10.ec",line="5"},thread-id="1",st
opped-threads="all"
*20130829-174222* src/debugger/Debugger.ec: 714: Debugger::ChangeState (Running -> Stopped)
*20130829-174222* src/debugger/Debugger.ec: 1502: Debugger::ParseFrame()
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1873: Debugger::UnsetBreakpoint(testAltF10.ec:5)
*20130829-174222* src/debugger/Debugger.ec: 1710: GDB Command: -break-delete 6
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: ^done
*20130829-174222* src/debugger/Debugger.ec: 3160: GDB Output: (gdb)
*20130829-174222* src/debugger/Debugger.ec: 1589: Debugger::GetBreakpointById(6)
*20130829-174245* src/debugger/Debugger.ec: 629: Debugger ***Problem***: Breakpoint bkptno(6) invalid or not found!
TagsNo tags attached.
Attached Files? file icon testAltF10.ec [^] (629 bytes) 2013-08-29 21:43

- Relationships
related to 0000986closedredj More troubles with initial internal breakpoints 

-  Notes
(0001042)
jerome (administrator)
2013-08-29 21:45

I did get a null crash at one point (with the thing taken out), hard to get the crash though
I expect bpItem is not updated properly or something when hitting an invalid breakpoint?
(0001053)
redj (administrator)
2013-09-06 14:11

https://github.com/redj/ecere-sdk/commit/2fb8f6f31103e80f2d07cfa3298e6a9af093450b [^]

- Issue History
Date Modified Username Field Change
2013-08-29 21:43 jerome New Issue
2013-08-29 21:43 jerome Status new => assigned
2013-08-29 21:43 jerome Assigned To => redj
2013-08-29 21:43 jerome File Added: testAltF10.ec
2013-08-29 21:43 jerome Relationship added related to 0000986
2013-08-29 21:45 jerome Note Added: 0001042
2013-08-30 03:05 jerome Target Version 0.44.09 64 => 0.44.10 Tablet Edition
2013-09-06 14:11 redj Status assigned => resolved
2013-09-06 14:11 redj Fixed in Version => 0.44.09 64
2013-09-06 14:11 redj Resolution open => fixed
2013-09-06 14:11 redj Note Added: 0001053
2013-09-08 18:25 jerome Target Version 0.44.11 Tablet Edition/Docs => 0.44.10 64
2013-09-23 07:37 jerome Product Version 0.44.08 => 0.44.09
2013-09-23 07:37 jerome Fixed in Version 0.44.09 => 0.44.10 64
2013-09-28 23:58 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker